Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class DomEvent

    java.lang.Object
      |
      +--gnu.xml.dom.DomEvent

All Implemented Interfaces:
  Event

Direct Known Subclasses:
  DomEvent.DomMutationEvent, DomEvent.DomUIEvent

public class DomEvent
extends java.lang.Object
implements Event

"Event" implementation. Events are created (through DocumentEvent interface methods on the document object), and are sent to any target node in the document.

Applications may define application specific event subclasses, but should otherwise use the DocumentTraversal interface to acquire event objects.

Version:
  $Date: 2001/11/20 04:57:05 $
Author:
  David Brownell

Inner Class Summary
`static class` | `DomEvent.DomMutationEvent` "MutationEvent" implementation.
`static class` | `DomEvent.DomUIEvent` "UIEvent" implementation.

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`DomEvent(java.lang.String type)` Constructs, but does not initialize, an event.

Method Summary
`boolean` | `getBubbles()` Returns true if the news of the event bubbles to tree tops (as specified during initialization).
`boolean` | `getCancelable()` Returns true if the default handling may be canceled (as specified during initialization).
`EventTarget` | `getCurrentTarget()` Returns the target to which events are currently being delivered.
`short` | `getEventPhase()` Returns CAPTURING_PHASE, AT_TARGET, or BUBBLING; only meaningful within EventListener.handleEvent
`EventTarget` | `getTarget()` Returns event's target; delivery of an event is initiated by a target.dispatchEvent(event) invocation.
`long` | `getTimeStamp()` Returns the event's timestamp.
`java.lang.String` | `getType()` Returns the event's type (name) as initialized
`void` | `initEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg)` Initializes basic event state.
`void` | `preventDefault()` Requests that whoever dispatched the event not perform their default processing when event delivery completes.
`void` | `stopPropagation()` Requests the event no longer be captured or bubbled; only listeners on the event target will see the event, if they haven't yet been notified.
`java.lang.String` | `toString()` Returns a basic printable description of the event's type, state, and delivery conditions

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DomEvent

    public DomEvent(java.lang.String type)

  Constructs, but does not initialize, an event.

Method Detail

### getType

    public final java.lang.String getType()

  Returns the event's type (name) as initialized
  Specified by:
    `getType` in interface `Event`

### getTarget

    public final EventTarget getTarget()

  Returns event's target; delivery of an event is initiated by a target.dispatchEvent(event) invocation.
  Specified by:
    `getTarget` in interface `Event`

### getCurrentTarget

    public final EventTarget getCurrentTarget()

  Returns the target to which events are currently being delivered. When capturing or bubbling, this will not be what getTarget returns.
  Specified by:
    `getCurrentTarget` in interface `Event`

### getEventPhase

    public final short getEventPhase()

  Returns CAPTURING_PHASE, AT_TARGET, or BUBBLING; only meaningful within EventListener.handleEvent
  Specified by:
    `getEventPhase` in interface `Event`

### getBubbles

    public final boolean getBubbles()

  Returns true if the news of the event bubbles to tree tops (as specified during initialization).
  Specified by:
    `getBubbles` in interface `Event`

### getCancelable

    public final boolean getCancelable()

  Returns true if the default handling may be canceled (as specified during initialization).
  Specified by:
    `getCancelable` in interface `Event`

### getTimeStamp

    public final long getTimeStamp()

  Returns the event's timestamp.
  Specified by:
    `getTimeStamp` in interface `Event`

### stopPropagation

    public void stopPropagation()

  Requests the event no longer be captured or bubbled; only listeners on the event target will see the event, if they haven't yet been notified.

  Avoid using this except for application-specific events, for which you the protocol explicitly "blesses" the use of this with some event types. Otherwise, you are likely to break algorithms which depend on event notification either directly or through bubbling or capturing.

  Note that this method is not final, specifically to enable enforcing of policies about events always propagating.

  Specified by:
    `stopPropagation` in interface `Event`

### preventDefault

    public final void preventDefault()

  Requests that whoever dispatched the event not perform their default processing when event delivery completes. Initializes event timestamp.
  Specified by:
    `preventDefault` in interface `Event`

### initEvent

    public void initEvent(java.lang.String typeArg,
                          boolean canBubbleArg,
                          boolean cancelableArg)

  Initializes basic event state.
  Specified by:
    `initEvent` in interface `Event`
  Following copied from interface: `org.w3c.dom.events.Event`
  Parameters:
    `eventTypeArg` - Specifies the event type. This type may be any event type currently defined in this specification or a new event type.. The string must be an XML name. Any new event type must not begin with any upper, lower, or mixed case version of the string "DOM". This prefix is reserved for future DOM event sets. It is also strongly recommended that third parties adding their own events use their own prefix to avoid confusion and lessen the probability of conflicts with other new events.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.

### toString

    public java.lang.String toString()

  Returns a basic printable description of the event's type, state, and delivery conditions
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.